import UIKit
// Zmienna typu opcjonalnego.
var stringOne : String?
//--------Wartością zmiennej stringOne jest nil---------------//
// Wyraźne sprawdzenie pod kątem wartości nil.
if stringOne != nil {
    print(stringOne!)
} else {
    print("Wyraźne sprawdzenie: wartością zmiennej stringOne jest nil.")
}
// Dołączanie wartości typu opcjonalnego.
if let tmp = stringOne {
    print(tmp)
} else {
    print("Dołączanie wartości typu opcjonalnego: wartością zmiennej stringOne jest nil.")
}
// Łączenie wartości typu opcjonalnego.
var charCount1 = stringOne?.count

//--------Dodanie wartości do stringOne---------------//
stringOne = "http://www.packtpub.com/all"

//--------Wartością zmiennej stringOne jest nil---------------//
// Wyraźne sprawdzenie pod kątem wartości nil.
if stringOne != nil {
    print(stringOne!)
} else {
    print("Wyraźne sprawdzenie: wartością zmiennej stringOne jest nil.")
}
// Dołączanie wartości typu opcjonalnego.
if let tmp = stringOne {
    print(tmp)
} else {
    print("Dołączanie wartości typu opcjonalnego: wartością zmiennej stringOne jest nil.")
}
// Łączenie wartości typu opcjonalnego.
var charCount2 = stringOne?.count


